Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | PROPERTY | CONSTR | METHOD | DETAIL: FIELD | PROPERTY | CONSTR | METHOD

## org.codehaus.groovy.tools.shell.commands
[Groovy] Class HistoryCommand

    java.lang.Object
      org.codehaus.groovy.tools.shell.CommandSupport
          org.codehaus.groovy.tools.shell.ComplexCommandSupport
              org.codehaus.groovy.tools.shell.commands.HistoryCommand

    class HistoryCommand
    extends ComplexCommandSupport

The 'history' command.

Authors:
  Jason Dillon

Version:
  \$Id\$

Field Summary

Fields inherited from class ComplexCommandSupport
defaultFunction, functions

Fields inherited from class CommandSupport
NEWLINE, io, log, messages, registry, shell

Property Summary
`java.lang.Object` | `do_clear`
`java.lang.Object` | `do_flush`
`java.lang.Object` | `do_recall`
`java.lang.Object` | `do_show`

Constructor Summary
`HistoryCommand(Shell shell)`

Method Summary
`protected java.util.List` | `createCompletors()`
`java.lang.Object` | `execute(java.util.List args)`

Methods inherited from class ComplexCommandSupport
createCompletors, execute, executeFunction, loadFunction

Methods inherited from class CommandSupport
alias, assertNoArguments, createCompletors, fail, fail, getBinding, getBuffer, getBuffers, getClassLoader, getCompletor, getDescription, getHelp, getHistory, getImports, getUsage, getVariables

Property Detail

### do_clear

    java.lang.Object do_clear

### do_flush

    java.lang.Object do_flush

### do_recall

    java.lang.Object do_recall

### do_show

    java.lang.Object do_show

Constructor Detail

### HistoryCommand

    HistoryCommand(Shell shell)

Method Detail

### createCompletors

    protected java.util.List createCompletors()

### execute

    java.lang.Object execute(java.util.List args)

Groovy Documentation